<!DOCTYPE HTML>
<!-- NewPage -->
<html lang="fr">
<head>
<!-- Generated by javadoc (15) on Sat Jul 31 15:01:23 EDT 2021 -->
<title>ControleurImage</title>
<meta http-equiv="Content-Type" content="text/html; charset=utf-8">
<meta name="dc.created" content="2021-07-31">
<meta name="description" content="declaration: package: controleurs, class: ControleurImage">
<meta name="generator" content="javadoc/ClassWriterImpl">
<link rel="stylesheet" type="text/css" href="../stylesheet.css" title="Style">
<link rel="stylesheet" type="text/css" href="../script-dir/jquery-ui.min.css" title="Style">
<link rel="stylesheet" type="text/css" href="../jquery-ui.overrides.css" title="Style">
<script type="text/javascript" src="../script.js"></script>
<script type="text/javascript" src="../script-dir/jquery-3.5.1.min.js"></script>
<script type="text/javascript" src="../script-dir/jquery-ui.min.js"></script>
</head>
<body class="class-declaration-page">
<script type="text/javascript">var data = {"i0":10,"i1":10,"i2":10,"i3":10,"i4":10,"i5":10,"i6":10,"i7":10,"i8":10,"i9":10,"i10":10,"i11":10};
var tabs = {65535:["t0","All Methods"],2:["t2","Instance Methods"],8:["t4","Concrete Methods"]};
var altColor = "alt-color";
var rowColor = "row-color";
var tableTab = "table-tab";
var activeTableTab = "active-table-tab";
var pathtoroot = "../";
loadScripts(document, 'script');</script>
<noscript>
<div>JavaScript is disabled on your browser.</div>
</noscript>
<div class="flex-box">
<header role="banner" class="flex-header">
<nav role="navigation">
<!-- ========= START OF TOP NAVBAR ======= -->
<div class="top-nav" id="navbar.top">
<div class="skip-nav"><a href="#skip.navbar.top" title="Skip navigation links">Skip navigation links</a></div>
<ul id="navbar.top.firstrow" class="nav-list" title="Navigation">
<li><a href="../index.html">Overview</a></li>
<li><a href="package-summary.html">Package</a></li>
<li class="nav-bar-cell1-rev">Class</li>
<li><a href="package-tree.html">Tree</a></li>
<li><a href="../deprecated-list.html">Deprecated</a></li>
<li><a href="../index-all.html">Index</a></li>
<li><a href="../help-doc.html">Help</a></li>
</ul>
</div>
<div class="sub-nav">
<div>
<ul class="sub-nav-list">
<li>Summary:&nbsp;</li>
<li>Nested&nbsp;|&nbsp;</li>
<li>Field&nbsp;|&nbsp;</li>
<li><a href="#constructor.summary">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method.summary">Method</a></li>
</ul>
<ul class="sub-nav-list">
<li>Detail:&nbsp;</li>
<li>Field&nbsp;|&nbsp;</li>
<li><a href="#constructor.detail">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method.detail">Method</a></li>
</ul>
</div>
<div class="nav-list-search"><label for="search">SEARCH:</label>
<input type="text" id="search" value="search" disabled="disabled">
<input type="reset" id="reset" value="reset" disabled="disabled">
</div>
</div>
<!-- ========= END OF TOP NAVBAR ========= -->
<span class="skip-nav" id="skip.navbar.top">
<!--   -->
</span></nav>
</header>
<div class="flex-content">
<main role="main">
<!-- ======== START OF CLASS DATA ======== -->
<div class="header">
<div class="sub-title"><span class="package-label-in-type">Package</span>&nbsp;<a href="package-summary.html">controleurs</a></div>
<h1 title="Class ControleurImage" class="title">Class ControleurImage</h1>
</div>
<div class="inheritance" title="Inheritance Tree">java.lang.Object
<div class="inheritance">controleurs.ControleurImage</div>
</div>
<section class="description">
<dl class="notes">
<dt>All Implemented Interfaces:</dt>
<dd><code>java.awt.event.KeyListener</code>, <code>java.awt.event.MouseListener</code>, <code>java.awt.event.MouseMotionListener</code>, <code>java.awt.event.MouseWheelListener</code>, <code>java.util.EventListener</code></dd>
</dl>
<hr>
<pre>public class <span class="type-name-label">ControleurImage</span>
extends java.lang.Object
implements java.awt.event.MouseMotionListener, java.awt.event.MouseWheelListener, java.awt.event.MouseListener, java.awt.event.KeyListener</pre>
<div class="block">classe rÃ©agissant a tous les types d'evenements et laissant l'interpretation
 de ces evenenements a <a href="InterpreteurAction.html" title="class in controleurs"><code>InterpreteurAction</code></a></div>
<dl class="notes">
<dt>See Also:</dt>
<dd><a href="InterpreteurAction.html" title="class in controleurs"><code>InterpreteurAction</code></a></dd>
</dl>
</section>
<section class="summary">
<ul class="summary-list">
<!-- ======== CONSTRUCTOR SUMMARY ======== -->
<li>
<section class="constructor-summary" id="constructor.summary">
<h2>Constructor Summary</h2>
<div class="member-summary">
<table class="summary-table">
<caption><span>Constructors</span></caption>
<thead>
<tr>
<th class="col-first" scope="col">Constructor</th>
<th class="col-last" scope="col">Description</th>
</tr>
</thead>
<tbody>
<tr class="alt-color">
<th class="col-constructor-name" scope="row"><code><span class="member-name-link"><a href="#%3Cinit%3E(modeles.ImageModifiable,controleurs.InterpreteurAction,controleurs.TamponCommandes)">ControleurImage</a></span>&#8203;(<a href="../modeles/ImageModifiable.html" title="class in modeles">ImageModifiable</a>&nbsp;modele,
<a href="InterpreteurAction.html" title="class in controleurs">InterpreteurAction</a>&nbsp;interprete,
<a href="TamponCommandes.html" title="class in controleurs">TamponCommandes</a>&nbsp;receveur)</code></th>
<td class="col-last">
<div class="block">Cree un nouveau controleur</div>
</td>
</tr>
</tbody>
</table>
</div>
</section>
</li>
<!-- ========== METHOD SUMMARY =========== -->
<li>
<section class="method-summary" id="method.summary">
<h2>Method Summary</h2>
<div class="member-summary" id="method-summary-table">
<div class="table-tabs" role="tablist" aria-orientation="horizontal"><button role="tab" aria-selected="true" aria-controls="method-summary-table.tabpanel" tabindex="0" onkeydown="switchTab(event)" id="t0" class="active-table-tab">All Methods</button><button role="tab" aria-selected="false" aria-controls="method-summary-table.tabpanel" tabindex="-1" onkeydown="switchTab(event)" id="t2" class="table-tab" onclick="show(2);">Instance Methods</button><button role="tab" aria-selected="false" aria-controls="method-summary-table.tabpanel" tabindex="-1" onkeydown="switchTab(event)" id="t4" class="table-tab" onclick="show(8);">Concrete Methods</button></div>
<div id="method-summary-table.tabpanel" role="tabpanel">
<table class="summary-table" aria-labelledby="t0">
<thead>
<tr>
<th class="col-first" scope="col">Modifier and Type</th>
<th class="col-second" scope="col">Method</th>
<th class="col-last" scope="col">Description</th>
</tr>
</thead>
<tbody>
<tr class="alt-color" id="i0">
<td class="col-first"><code>void</code></td>
<th class="col-second" scope="row"><code><span class="member-name-link"><a href="#controllerAction(java.awt.event.InputEvent)">controllerAction</a></span>&#8203;(java.awt.event.InputEvent&nbsp;e)</code></th>
<td class="col-last">
<div class="block">methode centralisant l'appel de l'interpreteur et du receveur lorsqu'une
 action est effectuee par l'usager</div>
</td>
</tr>
<tr class="row-color" id="i1">
<td class="col-first"><code>void</code></td>
<th class="col-second" scope="row"><code><span class="member-name-link"><a href="#keyPressed(java.awt.event.KeyEvent)">keyPressed</a></span>&#8203;(java.awt.event.KeyEvent&nbsp;e)</code></th>
<td class="col-last">&nbsp;</td>
</tr>
<tr class="alt-color" id="i2">
<td class="col-first"><code>void</code></td>
<th class="col-second" scope="row"><code><span class="member-name-link"><a href="#keyReleased(java.awt.event.KeyEvent)">keyReleased</a></span>&#8203;(java.awt.event.KeyEvent&nbsp;e)</code></th>
<td class="col-last">&nbsp;</td>
</tr>
<tr class="row-color" id="i3">
<td class="col-first"><code>void</code></td>
<th class="col-second" scope="row"><code><span class="member-name-link"><a href="#keyTyped(java.awt.event.KeyEvent)">keyTyped</a></span>&#8203;(java.awt.event.KeyEvent&nbsp;e)</code></th>
<td class="col-last">&nbsp;</td>
</tr>
<tr class="alt-color" id="i4">
<td class="col-first"><code>void</code></td>
<th class="col-second" scope="row"><code><span class="member-name-link"><a href="#mouseClicked(java.awt.event.MouseEvent)">mouseClicked</a></span>&#8203;(java.awt.event.MouseEvent&nbsp;e)</code></th>
<td class="col-last">&nbsp;</td>
</tr>
<tr class="row-color" id="i5">
<td class="col-first"><code>void</code></td>
<th class="col-second" scope="row"><code><span class="member-name-link"><a href="#mouseDragged(java.awt.event.MouseEvent)">mouseDragged</a></span>&#8203;(java.awt.event.MouseEvent&nbsp;e)</code></th>
<td class="col-last">&nbsp;</td>
</tr>
<tr class="alt-color" id="i6">
<td class="col-first"><code>void</code></td>
<th class="col-second" scope="row"><code><span class="member-name-link"><a href="#mouseEntered(java.awt.event.MouseEvent)">mouseEntered</a></span>&#8203;(java.awt.event.MouseEvent&nbsp;e)</code></th>
<td class="col-last">&nbsp;</td>
</tr>
<tr class="row-color" id="i7">
<td class="col-first"><code>void</code></td>
<th class="col-second" scope="row"><code><span class="member-name-link"><a href="#mouseExited(java.awt.event.MouseEvent)">mouseExited</a></span>&#8203;(java.awt.event.MouseEvent&nbsp;e)</code></th>
<td class="col-last">&nbsp;</td>
</tr>
<tr class="alt-color" id="i8">
<td class="col-first"><code>void</code></td>
<th class="col-second" scope="row"><code><span class="member-name-link"><a href="#mouseMoved(java.awt.event.MouseEvent)">mouseMoved</a></span>&#8203;(java.awt.event.MouseEvent&nbsp;e)</code></th>
<td class="col-last">&nbsp;</td>
</tr>
<tr class="row-color" id="i9">
<td class="col-first"><code>void</code></td>
<th class="col-second" scope="row"><code><span class="member-name-link"><a href="#mousePressed(java.awt.event.MouseEvent)">mousePressed</a></span>&#8203;(java.awt.event.MouseEvent&nbsp;e)</code></th>
<td class="col-last">&nbsp;</td>
</tr>
<tr class="alt-color" id="i10">
<td class="col-first"><code>void</code></td>
<th class="col-second" scope="row"><code><span class="member-name-link"><a href="#mouseReleased(java.awt.event.MouseEvent)">mouseReleased</a></span>&#8203;(java.awt.event.MouseEvent&nbsp;e)</code></th>
<td class="col-last">&nbsp;</td>
</tr>
<tr class="row-color" id="i11">
<td class="col-first"><code>void</code></td>
<th class="col-second" scope="row"><code><span class="member-name-link"><a href="#mouseWheelMoved(java.awt.event.MouseWheelEvent)">mouseWheelMoved</a></span>&#8203;(java.awt.event.MouseWheelEvent&nbsp;e)</code></th>
<td class="col-last">&nbsp;</td>
</tr>
</tbody>
</table>
</div>
</div>
<div class="inherited-list">
<h3 id="methods.inherited.from.class.java.lang.Object">Methods inherited from class&nbsp;java.lang.Object</h3>
<code>clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait</code></div>
</section>
</li>
</ul>
</section>
<section class="details">
<ul class="details-list">
<!-- ========= CONSTRUCTOR DETAIL ======== -->
<li>
<section class="constructor-details" id="constructor.detail">
<h2>Constructor Details</h2>
<ul class="member-list">
<li>
<section class="detail" id="&lt;init&gt;(modeles.ImageModifiable,controleurs.InterpreteurAction,controleurs.TamponCommandes)">
<h3>ControleurImage</h3>
<div class="member-signature"><span class="modifiers">public</span>&nbsp;<span class="member-name">ControleurImage</span>&#8203;(<span class="parameters"><a href="../modeles/ImageModifiable.html" title="class in modeles">ImageModifiable</a>&nbsp;modele,
<a href="InterpreteurAction.html" title="class in controleurs">InterpreteurAction</a>&nbsp;interprete,
<a href="TamponCommandes.html" title="class in controleurs">TamponCommandes</a>&nbsp;receveur)</span></div>
<div class="block">Cree un nouveau controleur</div>
<dl class="notes">
<dt>Parameters:</dt>
<dd><code>modele</code> - ImageModifiable sur laquelle seront effectuee les commandes
                   recues</dd>
<dd><code>interprete</code> - InterpreteurAction appele pour interpreter les actions de
                   l'utilisateur et recuperer les commandes que ces actions
                   entrainent</dd>
<dd><code>receveur</code> - TamponCommandes qui recevra les commandes generees et qui
                   les executera</dd>
</dl>
</section>
</li>
</ul>
</section>
</li>
<!-- ============ METHOD DETAIL ========== -->
<li>
<section class="method-details" id="method.detail">
<h2>Method Details</h2>
<ul class="member-list">
<li>
<section class="detail" id="controllerAction(java.awt.event.InputEvent)">
<h3>controllerAction</h3>
<div class="member-signature"><span class="modifiers">public</span>&nbsp;<span class="return-type">void</span>&nbsp;<span class="member-name">controllerAction</span>&#8203;(<span class="parameters">java.awt.event.InputEvent&nbsp;e)</span></div>
<div class="block">methode centralisant l'appel de l'interpreteur et du receveur lorsqu'une
 action est effectuee par l'usager</div>
<dl class="notes">
<dt>Parameters:</dt>
<dd><code>e</code> - InputEvent genere par l'utilisateur sur la vue</dd>
</dl>
</section>
</li>
<li>
<section class="detail" id="keyTyped(java.awt.event.KeyEvent)">
<h3>keyTyped</h3>
<div class="member-signature"><span class="modifiers">public</span>&nbsp;<span class="return-type">void</span>&nbsp;<span class="member-name">keyTyped</span>&#8203;(<span class="parameters">java.awt.event.KeyEvent&nbsp;e)</span></div>
<dl class="notes">
<dt>Specified by:</dt>
<dd><code>keyTyped</code>&nbsp;in interface&nbsp;<code>java.awt.event.KeyListener</code></dd>
</dl>
</section>
</li>
<li>
<section class="detail" id="keyPressed(java.awt.event.KeyEvent)">
<h3>keyPressed</h3>
<div class="member-signature"><span class="modifiers">public</span>&nbsp;<span class="return-type">void</span>&nbsp;<span class="member-name">keyPressed</span>&#8203;(<span class="parameters">java.awt.event.KeyEvent&nbsp;e)</span></div>
<dl class="notes">
<dt>Specified by:</dt>
<dd><code>keyPressed</code>&nbsp;in interface&nbsp;<code>java.awt.event.KeyListener</code></dd>
</dl>
</section>
</li>
<li>
<section class="detail" id="keyReleased(java.awt.event.KeyEvent)">
<h3>keyReleased</h3>
<div class="member-signature"><span class="modifiers">public</span>&nbsp;<span class="return-type">void</span>&nbsp;<span class="member-name">keyReleased</span>&#8203;(<span class="parameters">java.awt.event.KeyEvent&nbsp;e)</span></div>
<dl class="notes">
<dt>Specified by:</dt>
<dd><code>keyReleased</code>&nbsp;in interface&nbsp;<code>java.awt.event.KeyListener</code></dd>
</dl>
</section>
</li>
<li>
<section class="detail" id="mouseWheelMoved(java.awt.event.MouseWheelEvent)">
<h3>mouseWheelMoved</h3>
<div class="member-signature"><span class="modifiers">public</span>&nbsp;<span class="return-type">void</span>&nbsp;<span class="member-name">mouseWheelMoved</span>&#8203;(<span class="parameters">java.awt.event.MouseWheelEvent&nbsp;e)</span></div>
<dl class="notes">
<dt>Specified by:</dt>
<dd><code>mouseWheelMoved</code>&nbsp;in interface&nbsp;<code>java.awt.event.MouseWheelListener</code></dd>
</dl>
</section>
</li>
<li>
<section class="detail" id="mouseDragged(java.awt.event.MouseEvent)">
<h3>mouseDragged</h3>
<div class="member-signature"><span class="modifiers">public</span>&nbsp;<span class="return-type">void</span>&nbsp;<span class="member-name">mouseDragged</span>&#8203;(<span class="parameters">java.awt.event.MouseEvent&nbsp;e)</span></div>
<dl class="notes">
<dt>Specified by:</dt>
<dd><code>mouseDragged</code>&nbsp;in interface&nbsp;<code>java.awt.event.MouseMotionListener</code></dd>
</dl>
</section>
</li>
<li>
<section class="detail" id="mouseMoved(java.awt.event.MouseEvent)">
<h3>mouseMoved</h3>
<div class="member-signature"><span class="modifiers">public</span>&nbsp;<span class="return-type">void</span>&nbsp;<span class="member-name">mouseMoved</span>&#8203;(<span class="parameters">java.awt.event.MouseEvent&nbsp;e)</span></div>
<dl class="notes">
<dt>Specified by:</dt>
<dd><code>mouseMoved</code>&nbsp;in interface&nbsp;<code>java.awt.event.MouseMotionListener</code></dd>
</dl>
</section>
</li>
<li>
<section class="detail" id="mouseClicked(java.awt.event.MouseEvent)">
<h3>mouseClicked</h3>
<div class="member-signature"><span class="modifiers">public</span>&nbsp;<span class="return-type">void</span>&nbsp;<span class="member-name">mouseClicked</span>&#8203;(<span class="parameters">java.awt.event.MouseEvent&nbsp;e)</span></div>
<dl class="notes">
<dt>Specified by:</dt>
<dd><code>mouseClicked</code>&nbsp;in interface&nbsp;<code>java.awt.event.MouseListener</code></dd>
</dl>
</section>
</li>
<li>
<section class="detail" id="mousePressed(java.awt.event.MouseEvent)">
<h3>mousePressed</h3>
<div class="member-signature"><span class="modifiers">public</span>&nbsp;<span class="return-type">void</span>&nbsp;<span class="member-name">mousePressed</span>&#8203;(<span class="parameters">java.awt.event.MouseEvent&nbsp;e)</span></div>
<dl class="notes">
<dt>Specified by:</dt>
<dd><code>mousePressed</code>&nbsp;in interface&nbsp;<code>java.awt.event.MouseListener</code></dd>
</dl>
</section>
</li>
<li>
<section class="detail" id="mouseReleased(java.awt.event.MouseEvent)">
<h3>mouseReleased</h3>
<div class="member-signature"><span class="modifiers">public</span>&nbsp;<span class="return-type">void</span>&nbsp;<span class="member-name">mouseReleased</span>&#8203;(<span class="parameters">java.awt.event.MouseEvent&nbsp;e)</span></div>
<dl class="notes">
<dt>Specified by:</dt>
<dd><code>mouseReleased</code>&nbsp;in interface&nbsp;<code>java.awt.event.MouseListener</code></dd>
</dl>
</section>
</li>
<li>
<section class="detail" id="mouseEntered(java.awt.event.MouseEvent)">
<h3>mouseEntered</h3>
<div class="member-signature"><span class="modifiers">public</span>&nbsp;<span class="return-type">void</span>&nbsp;<span class="member-name">mouseEntered</span>&#8203;(<span class="parameters">java.awt.event.MouseEvent&nbsp;e)</span></div>
<dl class="notes">
<dt>Specified by:</dt>
<dd><code>mouseEntered</code>&nbsp;in interface&nbsp;<code>java.awt.event.MouseListener</code></dd>
</dl>
</section>
</li>
<li>
<section class="detail" id="mouseExited(java.awt.event.MouseEvent)">
<h3>mouseExited</h3>
<div class="member-signature"><span class="modifiers">public</span>&nbsp;<span class="return-type">void</span>&nbsp;<span class="member-name">mouseExited</span>&#8203;(<span class="parameters">java.awt.event.MouseEvent&nbsp;e)</span></div>
<dl class="notes">
<dt>Specified by:</dt>
<dd><code>mouseExited</code>&nbsp;in interface&nbsp;<code>java.awt.event.MouseListener</code></dd>
</dl>
</section>
</li>
</ul>
</section>
</li>
</ul>
</section>
<!-- ========= END OF CLASS DATA ========= -->
</main>
<footer role="contentinfo">
<nav role="navigation">
<!-- ======= START OF BOTTOM NAVBAR ====== -->
<div class="bottom-nav" id="navbar.bottom">
<div class="skip-nav"><a href="#skip.navbar.bottom" title="Skip navigation links">Skip navigation links</a></div>
<ul id="navbar.bottom.firstrow" class="nav-list" title="Navigation">
<li><a href="../index.html">Overview</a></li>
<li><a href="package-summary.html">Package</a></li>
<li class="nav-bar-cell1-rev">Class</li>
<li><a href="package-tree.html">Tree</a></li>
<li><a href="../deprecated-list.html">Deprecated</a></li>
<li><a href="../index-all.html">Index</a></li>
<li><a href="../help-doc.html">Help</a></li>
</ul>
</div>
<div class="sub-nav">
<div>
<ul class="sub-nav-list">
<li>Summary:&nbsp;</li>
<li>Nested&nbsp;|&nbsp;</li>
<li>Field&nbsp;|&nbsp;</li>
<li><a href="#constructor.summary">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method.summary">Method</a></li>
</ul>
<ul class="sub-nav-list">
<li>Detail:&nbsp;</li>
<li>Field&nbsp;|&nbsp;</li>
<li><a href="#constructor.detail">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method.detail">Method</a></li>
</ul>
</div>
</div>
<!-- ======== END OF BOTTOM NAVBAR ======= -->
<span class="skip-nav" id="skip.navbar.bottom">
<!--   -->
</span></nav>
</footer>
</div>
</div>
</body>
</html>
